// DateThread.java

import java.io.*;
import java.net.Socket;
import java.text.DateFormat;
import java.util.Date;

public class DateThread extends Thread
{
	// NCAg̃\Pbg
	private Socket socket;

	// T[rX񋟂鎞
	private int exec_sec;

	public DateThread(Socket socket, int exec_sec)
	{
		this.socket = socket;
		this.exec_sec = exec_sec;
	}

	// t/NCAg֑Ԃ
	public void run()
	{
		try
		{
			PrintWriter writer = new PrintWriter(socket.getOutputStream());

			for(int i=0; i<exec_sec; i++)
			{
				DateFormat date_format = DateFormat.getDateTimeInstance();
				String date_string = date_format.format(new Date());
				writer.println(date_string);
				writer.flush();

				Thread.sleep(1000);
				Thread.yield();
			}

			writer.println("Disconnect by Server");
			writer.flush();
			socket.close();
		}
		catch(IOException io_ex)
		{
			io_ex.printStackTrace();
		}
		catch(InterruptedException interrupted_ex)
		{
			interrupted_ex.printStackTrace();
		}
	}
}